﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Steema.TeeChart;
using Steema.TeeChart.Styles;
using Steema.TeeChart.Tools;

namespace TrendControl
{
  public partial class Form1 : Form
  {
    public Form1()
    {
      InitializeComponent();
      TeeChart.Legend.Visible = false;
      TeeChart.Zoom.Allow = false;
      double _StackSize = 10;
      double _StartPos = 0;
      double _EndPos = _StackSize;
      for (int i = 0; i < 10; i++)
      {
        FastLine _FastLine = new FastLine();
        _FastLine.FillSampleValues(1000);
        TeeChart.Series.Add(_FastLine);
        Axis _Axis = new Axis(TeeChart.Chart);
        TeeChart.Axes.Custom.Add(_Axis);
        _Axis.AxisPen.Color = _FastLine.Color;
        _FastLine.LinePen.Width = 3;
        _Axis.AxisPen.Width = 20;
        _Axis.StartPosition = _StartPos;
        _Axis.EndPosition = _EndPos;
        _StartPos = _EndPos;
        _EndPos += _StackSize;
        _FastLine.CustomVertAxis = _Axis;
        _FastLine.BeforeDrawValues += new PaintChartEventHandler(_FastLine_BeforeDrawValues);

      }
    }

    void _FastLine_BeforeDrawValues(object sender, Steema.TeeChart.Drawing.Graphics3D g)
    {
      Steema.TeeChart.Styles.Series _Series = sender as Steema.TeeChart.Styles.Series;

      int left = _Series.GetHorizAxis.IStartPos;
      int right = _Series.GetHorizAxis.IEndPos;
      int top = _Series.GetVertAxis.IStartPos;
      int bottom = _Series.GetVertAxis.IEndPos;
      Rectangle _Rect = _Series.GetVertAxis.AxisRect();
      _Rect.Height = bottom - top;
      _Rect.Width = TeeChart.Chart.ChartRect.Width;
      g.ClipRectangle(_Rect); 
    }
    private void button1_Click(object sender, EventArgs e)
    {
      TeeChart.Axes.Bottom.Automatic = true;
      ReDraw();
    }
    private void ReDraw()
    {
      TeeChart.Series.Clear();
      TeeChart.Axes.Custom.Clear();
      double _StackSize = 10;
      double _StartPos = 0;
      double _EndPos = _StackSize;
      for (int i = 0; i < 10; i++)
      {
        FastLine _FastLine = new FastLine();
        _FastLine.FillSampleValues(1000);
        TeeChart.Series.Add(_FastLine);
        Axis _Axis = new Axis(TeeChart.Chart);
        TeeChart.Axes.Custom.Add(_Axis);
        _Axis.AxisPen.Color = _FastLine.Color;
        _FastLine.LinePen.Width = 3;
        _Axis.AxisPen.Width = 20;
        _Axis.StartPosition = _StartPos;
        _Axis.EndPosition = _EndPos;
        _StartPos = _EndPos;
        _EndPos += _StackSize;
        _FastLine.CustomVertAxis = _Axis;
        _FastLine.BeforeDrawValues += new PaintChartEventHandler(_FastLine_BeforeDrawValues);
      }
    }
  }
}
